# Copyright notice.
#   Original SPEC is provided by Zabbix LLC
#   Modified by Cybertrust Japan Co., Ltd.

%{!?original_name: %global original_name zabbix-agent2-plugin-ember-plus}

Name:		miracle-zbx-agent2-plugin-ember-plus
Version:	7.0.1
Release:	1%{?dist}
Summary:	MIRACLE ZBX Agent2 plugin for monitoring Ember Plus installations
Group:		Applications/Internet
License:	AGPLv3
URL:		https://www.cybertrust.co.jp/
Source0:	%{original_name}-%{version}.tar.gz
Patch1:		conf.patch

%description
MIRACLE ZBX Agent2 plugin for monitoring Ember Plus installations

%define debug_package %{nil}

%prep
%setup0 -q -n %{original_name}-%{version}
%patch1 -p1

%build
export GOPATH=$HOME/go
export GOBIN=$GOPATH/bin
export PATH=$GOBIN:$PATH

go build

%install
mkdir -p $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/
cp ember-plus $RPM_BUILD_ROOT%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-ember-plus
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/
cp ember.conf $RPM_BUILD_ROOT%{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc LICENSE README.md
%{_sbindir}/zabbix-agent2-plugin/zabbix-agent2-plugin-ember-plus
%config(noreplace) %{_sysconfdir}/zabbix/zabbix_agent2.d/plugins.d/ember.conf

%changelog
* Tue Jul 5 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.1-1
- Update to 7.0.1 release.

* Wed Jun 5 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.0-1
- Update to 7.0.0 release.

* Thu May 30 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 7.0.0rc3-1
- Update to 7.0.0rc3
- Change license to AGPLv3

* Wed May 29 2024 Taiki Fujiwara <taiki.fujiwara@cybertrust.co.jp> - 6.0.30-1
- initial release of Ember Plus plugin for MIRACLE ZBX Agent2
